=== debian/control ===
Source: linux-ec2
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], gawk
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-karmic.git

Package: linux-ec2-source-2.6.31
Architecture: all
Section: devel
Priority: optional
Provides: linux-ec2-source, linux-ec2-source-2.6
Depends: binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux kernel source for version 2.6.31 with Ubuntu patches
 This package provides the source code for the Linux kernel version
 2.6.31.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.

Package: linux-ec2-doc
Architecture: all
Section: doc
Priority: optional
Conflicts: linux-ec2-doc-2.6
Replaces: linux-ec2-doc-2.6
Description: Linux kernel specific documentation for version 2.6.31
 This package provides the various documents in the 2.6.31 kernel
 Documentation/ subdirectory.  These document kernel subsystems, APIs, device
 drivers, and so on.  See
 /usr/share/doc/linux-ec2-doc/00-INDEX for a list of what is
 contained in each file.

Package: linux-headers-2.6.31-302
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
#Provides: linux-headers, linux-headers-2.6
Description: Header files related to Linux kernel version 2.6.31
 This package provides kernel header files for version 2.6.31, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-2.6.31-302/debian.README.gz for details


Package: linux-image-2.6.31-302-ec2
Architecture: i386 amd64
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: 
Suggests: fdutils, linux-ec2-doc-2.6.31 | linux-ec2-source-2.6.31
Description: Linux kernel image for version 2.6.31 on x86/x86_64
 This package contains the Linux kernel image for version 2.6.31 on
 x86/x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-ec2 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.31-302-ec2
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.31-302, ${shlibs:Depends}
Description: Linux kernel headers for version 2.6.31 on x86/x86_64
 This package provides kernel header files for version 2.6.31 on
 x86/x86_64.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.31-302/debian.README.gz for details.

Package: linux-image-debug-2.6.31-302-ec2
Architecture: i386 amd64
Section: devel
Priority: optional
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.31 on x86/x86_64
 This package provides a kernel debug image for version 2.6.31 on
 x86/x86_64.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: kernel-image-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: kernel-image
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-2.6.31-302-generic-di, nic-shared-modules-2.6.31-302-generic-di, virtio-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Network interface support

Package: nic-shared-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-2.6.31-302-generic-di, crypto-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: nic shared modules
  This package contains modules which support nic modules

Package: serial-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Serial port support

Package: ppp-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-2.6.31-302-generic-di, nic-shared-modules-2.6.31-302-generic-di, serial-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: PPP (serial port) networking support

Package: firewire-core-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: firewire-core-modules
Depends: kernel-image-2.6.31-302-generic-di, storage-core-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Firewire (IEEE-1394) Support

Package: scsi-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-2.6.31-302-generic-di, storage-core-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: SCSI storage support

Package: plip-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-2.6.31-302-generic-di, nic-shared-modules-2.6.31-302-generic-di, parport-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: PLIP (parallel port) networking support

Package: floppy-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: floppy-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Floppy driver support

Package: fat-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: FAT filesystem support
 This includes Windows FAT and VFAT support.

Package: nfs-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: nfs-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: NFS filesystem drivers
 Includes the NFS client driver, and supporting modules.

Package: md-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: md-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Multi-device support (raid, device-mapper, lvm)

Package: usb-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: usb-modules
Depends: kernel-image-2.6.31-302-generic-di, storage-core-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Core USB support

Package: pcmcia-storage-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: pcmcia-storage-modules
Depends: kernel-image-2.6.31-302-generic-di, scsi-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: PCMCIA storage support

Package: fb-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: fb-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Framebuffer modules

Package: input-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: input-modules
Depends: kernel-image-2.6.31-302-generic-di, usb-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Support for various input methods

Package: mouse-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: mouse-modules
Depends: kernel-image-2.6.31-302-generic-di, input-modules-2.6.31-302-generic-di, usb-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: extra
Description: Mouse support
 This package contains mouse drivers for the Linux kernel.

Package: irda-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: irda-modules
Depends: kernel-image-2.6.31-302-generic-di, nic-shared-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Support for Infrared protocols

Package: parport-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: parport-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: Parallel port support

Package: nic-pcmcia-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: nic-pcmcia-modules
Depends: kernel-image-2.6.31-302-generic-di, nic-shared-modules-2.6.31-302-generic-di, nic-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: PCMCIA network interface support

Package: pcmcia-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: pcmcia-modules
Depends: kernel-image-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: PCMCIA Modules

Package: nic-usb-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: nic-usb-modules
Depends: kernel-image-2.6.31-302-generic-di, nic-shared-modules-2.6.31-302-generic-di, usb-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: USB network interface support

Package: sata-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: sata-modules
Depends: kernel-image-2.6.31-302-generic-di, storage-core-modules-2.6.31-302-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.31-302-generic
Section: debian-installer
Priority: standard
Description: SATA storage support

Package: crypto-modules-2.6.31-302-generic-di
XC-Package-Type: udeb
Provides: crypto-modules
